# Request execution approval (maker)

> A member requests execution; the recommendation moves to pending_approval and awaits an admin.

Source: https://docs.levelfour.ai/api-reference/recommendations/post-recommendations-by-id-execution-request


## POST /api/v1/recommendations/{recommendation_id}/execution/request

A member requests execution; the recommendation moves to pending_approval and awaits an admin.

### Authentication

Send `Authorization: Bearer <token>`.

### Parameters

- `recommendation_id` (path, string, required)

### Request body

Required. Content type `application/json`.

- `implementation_method` (string, default `one-click`): Implementation method to execute with

### Responses

#### 200: Successful Response

- `success` (boolean, default `true`)
- `timestamp` (date-time string)
- `data` (object, required): State of an execution-approval (maker-checker) transition.
  - `recommendation_id` (string, required)
  - `execution_request_status` (string, required)
  - `execution_request_by` (string, nullable)
  - `execution_approved_by` (string, nullable)
  - `status` (string, nullable)
  - `rejection_reason` (string, nullable)

#### Errors

- `400`: Bad Request
- `401`: Authentication Error
- `403`: Authorization Error
- `404`: Not Found
- `409`: Conflict
- `422`: Validation Error
- `429`: Rate Limit Exceeded
- `500`: Internal Server Error

Body of `400`, `401`, `403`, `404`, `409`, `422`, `429`, `500`:

- `success` (`false`, required)
- `error` (object, required)
  - `code` (string, required)
  - `message` (string, required)
  - `details` (any)
- `timestamp` (date-time string, required)
